const wxService = require('../../../../utils/wxService')
const utils = require('../../../../utils/util')
const envInfo = require('../../../../config/index').envInfo
const app = getApp();
const PTOMOTION_TYPE = {1:'满减满折',2:'一口价',3:'限时折扣',4:'限时调价',5:'限时抢购'}
wxService.page({

  /**
   * 页面的初始数据
   */
  data: {
    activityId : '',
    type : '',
    goodsList : [],
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    wx.hideShareMenu();
    this.data.activityId = options.id ; 
    this.data.type = options.type;
    
    wx.setNavigationBarTitle({
      title: PTOMOTION_TYPE[this.data.type],
    });

    if(this.data.type == 2){
      this.getFixedActivityInfo();
    }
    
  },
  //跳转到商品详情
  onTapToGoodsDetail(e){
    let item = e.currentTarget.dataset.item;
    let productId = item.productId;
    wx.navigateTo({
      url: '/pages/productDetail/productDetail?id=' + productId,
    });
  },

  //获取一口价详情
  getFixedActivityInfo(){
    wxService.post(`/marketing/itemPriceActivity/getDetail?id=${this.data.activityId}`).then(res => {
      if(res){
        let data = res.data.data ? res.data.data : null;
        if(data){
          let iteamPrice = data.iteamPrice;
          let productInfos = data.productInfos;
          
          let productIds = productInfos.map(item => {
            return item.productId;
          });

          let proIds = new Set(productIds);
          this.getProductsByIds([...proIds],productInfos,iteamPrice);
        }
      }
    })
  },

  //根据商品Ids获取商品列表
  getProductsByIds(ids,productInfos,iteamPrice){
    wxService.post(`/sale/product/listPage?pageNo=1&pageSize=10000`,{
      productIds : ids,
      showListUrls : true,
    }).then(res => {
      if(res){
        let list = res.data.data.content ? res.data.data.content : [];
        this.data.goodsList = list;
        list.forEach(item => {
          item.indexUrl = utils.getFirstImgUrl(item.listUrls);
          item.price = parseFloat(item.minSalePrice/10/10).toFixed(2);
        });

        this.setData({
          goodsList : this.data.goodsList
        });

      }
    });
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },
})